# Generated by go2rpm
%bcond_without check

# https://github.com/containerd/ttrpc
%global goipath         github.com/containerd/ttrpc
Epoch:                  2
Version:                1.1.0

%gometa

%global common_description %{expand:
GRPC for low-memory environments.

The existing grpc-go project requires a lot of memory overhead for importing
packages and at runtime. While this is great for many services with low density
requirements, this can be a problem when running a large number of services on a
single machine or on a machine with a small amount of memory.

Using the same GRPC definitions, this project reduces the binary size and
protocol overhead required. We do this by eliding the net/http, net/http2 and
grpc package used by grpc replacing it with a lightweight framing protocol. The
result are smaller binaries that use less resident memory with the same ease of
use as GRPC.}

%global golicenses      LICENSE
%global godocs          example README.md

Name:           %{goname}
Release:        %autorelease
Summary:        GRPC for low-memory environments

# Upstream license specification: Apache-2.0
License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}
# Convert to github.com/golang/protobuf
# https://github.com/containerd/ttrpc/issues/62
Patch0:         0001-Convert-to-github.com-golang-protobuf.diff

BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/gogo/protobuf/gogoproto)
BuildRequires:  golang(github.com/gogo/protobuf/proto)
BuildRequires:  golang(github.com/gogo/protobuf/protoc-gen-gogo/descriptor)
BuildRequires:  golang(github.com/gogo/protobuf/protoc-gen-gogo/generator)
BuildRequires:  golang(github.com/gogo/protobuf/types)
BuildRequires:  golang(github.com/gogo/protobuf/vanity)
BuildRequires:  golang(github.com/gogo/protobuf/vanity/command)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(golang.org/x/sys/unix)
BuildRequires:  golang(google.golang.org/genproto/googleapis/rpc/status)
BuildRequires:  golang(google.golang.org/grpc/codes)
BuildRequires:  golang(google.golang.org/grpc/status)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/prometheus/procfs)
%endif


%description
%{common_description}

%gopkg

%prep
%goprep
%patch -P0 -p1
rm -rf cmd/

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
%autochangelog
